Subject: Re: bug#15905: 24.3; url-copy-file sometimes silently downloads garbage or incomplete file

From: Ted Zlatanov <[email-masked]>
Date: Thu, 21 Nov 2013 11:21:15 -0500

On Mon, 18 Nov 2013 12:30:49 -0800 Ryan <[email-masked]> wrote: 

>> So, I just ran my own test case on my work machine (Ubuntu 13.04,
>> Emacs 24.2.1 lucid build from Ubuntu repos), and I did not see the
>> issue. I'm going to try compiling Emacs with gnutls support on my OSX
>> machine to see if that makes any difference.

R> I ran my test case with Emacs built from Macports, which compiles
R> Emacs with GnuTLS support. On this Emacs, the test did not trigger the
R> bug. I think we can say that the bug manifests when using an external
R> gnutls-cli or similar.

Hi Ryan,

I can't help you much in that area, I don't know the url.el code well
and this may be something about Mac OS X specifically.

I'm glad we determined it's connected to the shell command, though, it
will make the bug fixing easier!

Ted